Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wps
Class WPSRequestBaseType

    java.lang.Object
      org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
          org.deegree.ogcwebservices.wps.WPSRequestBaseType

All Implemented Interfaces:
  Serializable, OGCWebServiceRequest

Direct Known Subclasses:
  DescribeProcessRequest, ExecuteRequest

    public class WPSRequestBaseType

extends AbstractOGCWebServiceRequest

WPSRequestBaseType.java Created on 09.03.2006. 22:47:16h WPS operation request base, for all WPS operations except GetCapabilities. In this XML encoding, no "request" parameter is included, since the element name specifies the specific operation.

Since:
  2.0
Version:
  1.0
Author:
  Christian Kiehle, Christian Heier
See Also:
  Serialized Form

Field Summary
`protected static String` | `service` Service type identifier.
`protected static String` | `supportedVersion` Version identifier.

Constructor Summary
`WPSRequestBaseType(String version, String id, Map<String,String> vendorSpecificParameter)`

Method Summary
`protected static String` | `extractVersionParameter(Map<String,String> request)`
`String` | `getServiceName()`
`String` | `getVersion()` returns the requested service version

Methods inherited from class org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
`getId, getParam, getParamAsInt, getParamValues, getRequestParameter, getRequiredParam, getVendorSpecificParameter, getVendorSpecificParameters, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### service

    protected static final String service

  Service type identifier.

  See Also:
    Constant Field Values

### supportedVersion

    protected static final String supportedVersion

  Version identifier.

  See Also:
    Constant Field Values

Constructor Detail

### WPSRequestBaseType

    public WPSRequestBaseType(String version,
                              String id,
                              Map<String,String> vendorSpecificParameter)

Parameters:
  `version` -
  `id` -
  `vendorSpecificParameter` -

Method Detail

### getVersion

    public String getVersion()

  Description copied from class: `AbstractOGCWebServiceRequest`
  returns the requested service version

  Specified by:
    `getVersion` in interface `OGCWebServiceRequest`
  Overrides:
    `getVersion` in class `AbstractOGCWebServiceRequest`
  Returns:
    Returns the version.

### extractVersionParameter

    protected static String extractVersionParameter(Map<String,String> request)
                                             throws MissingParameterValueException,
                                                    InvalidParameterValueException

  Parameters:
    `request` -
  Returns:
    the version parameter.
  Throws:
    `MissingParameterValueException`
    `InvalidParameterValueException`

### getServiceName

    public String getServiceName()

  Returns:
    the name of the service that is targeted by the request

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org